instappl(1)

NAME
instappl - install a UNIX generated file consisting of a Macintosh resource fork into an AUFS volume.

SYNOPSIS
instappl [ -c <creator> ] [ -t <type> ] [ -l -m ] [ -i ] <inputfile> <directory> [<name>]

DESCRIPTION
instappl is a UNIX program to install a file consisting of a Macintosh resource fork (e.g., a downloaded Macintosh application) into an AUFS AppleShare volume on the same UNIX host. The AUFS volume must be one that has been configured to store Macintosh files and applications (see AUFS(1)). AUFS stores the three "forks" of a Macintosh file into separate UNIX files. A file consisting of only a data fork resembles a UNIX stream file and can be copied directly into the AUFS directory. A file that consists of a Macintosh resource fork cannot be simply copied into the AUFS volume directory. Finder information must also be set so that this file will be recognized as an application when the AUFS volume is accessed by a Macintosh. instappl correctly installs the file consisting of a resource fork, creating a null data fork and correct finder information. It allows you to set the Macintosh creator and filetype with the -c and -t options. Additional file attributes can be set with the -l, -m, and -i options.

REQUIRED ARGUMENTS

<inputfile>
    specifies the path name of the input resource fork file that is to be installed in the AUFS volume.

<directory>
    specifies the path name of the AUFS volume directory where the file will be installed.

OPTIONS

<name>
    By default, the name to be used by AUFS when it serves this file to a Macintosh client is simply the last component of the input file name. If you wish it be different than that, then specify the desired name as an optional argument.

-c <creator>
    specify a one to four character string to be used to set the Macintosh creator value for this file. The default value is "????" (unknown).

-t <type>
    specify a one to four character string to be used to set the Macintosh file type value for this file. The default value is "APPL" (application).

-l  sets the read-only (or locked) attribute for the file.

-m  sets the multi-user attribute for the file.

-i  sets the invisibile attribute for the file.

SEE ALSO
AUFS(1), AUFS(8), CAP(3), CAP(8)

AUTHOR
Manual entry by Phil Farrell, Stanford University School of Earth Sciences